Skip to main content
PATCH
Update Decision Engine Message

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flowId
string
required

The UUID of the flow

messageId
string
required

The UUID of the message

Body

application/json

Request body for updating a Decision Engine message

name
string
config
object
tags
object
guardrails
object

Guardrail fields on a message (max sends, eligibility dates, etc.)

variables
object[]

Response

Ok

Decision Engine Message (Public API)

id
string
required
name
string
required
channelId
string
required
config
object
required
tags
object
guardrails
object

Guardrail fields on a message (max sends, eligibility dates, etc.)

variables
object[]
createdAt
string<date-time>
updatedAt
string<date-time>